
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

include("${CMAKE_CURRENT_LIST_DIR}/nvimgcodecTargets.cmake")
check_required_components("nvimgcodec")

# Set temporary variable with path to main package directory (e.g. /opt/nvidia/nvimgcodec_cuda12/)
# PACKAGE_PREFIX_DIR is set by PACKAGE_INIT generated code
get_filename_component(_PACKAGE_ROOTDIR "${PACKAGE_PREFIX_DIR}" PATH)

# Report other information.
set_and_check(nvimgcodec_INCLUDE_DIR "${_PACKAGE_ROOTDIR}/include")
set_and_check(nvimgcodec_LIB_DIR "${_PACKAGE_ROOTDIR}/lib64")
set_and_check(nvimgcodec_BIN_DIR "${_PACKAGE_ROOTDIR}/bin")
set_and_check(nvimgcodec_EXTENSIONS_DIR "${_PACKAGE_ROOTDIR}/extensions")
set(nvimgcodec_LIB "nvimgcodec::nvimgcodec")

# Clear temporary variable
unset(_PACKAGE_ROOTDIR)
